<?php

namespace ZondacryptoPay\Payment;

/**
 * Payment configuration class.
 */
class Configuration
{

	const ROUTE_PAYMENTS = "/payments";

	/**
	 * @var array
	 */
	private static $serviceUrls = [
		Util::ENVIRONMENT_PRODUCTION => "https://api.zondacryptopay.com/rest/pay",
	];

	/**
	 * @var string
	 */
	private static $privateKey;

	/**
	 * @var string
	 */
	private static $publicKey;

	/**
	 * @return string
	 */
	public static function getPrivateKey()
	{
		return self::$privateKey;
	}

	/**
	 * @param string $privateKey
	 */
	public static function setPrivateKey($privateKey)
	{
		self::$privateKey = trim($privateKey);
	}

	/**
	 * @return string
	 */
	public static function getPublicKey()
	{
		return self::$publicKey;
	}

	/**
	 * @param string $publicKey
	 */
	public static function setPublicKey($publicKey)
	{
		self::$publicKey = trim($publicKey);
	}

	/**
	 * @param string $environment
	 *
	 * @return string|bool
	 */
	public static function getServiceUrl($environment)
	{
		return self::$serviceUrls[$environment];
	}
}
